System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable

A draws a line of specified width and style. Use the property to draw several varieties of dashed lines. The line drawn by a can be filled in a variety of fill styles, including solid colors and textures. The fill style depends on brush or texture that is used as the fill object.

Defines an object used to draw lines and curves. This class cannot be inherited.

- Constructor

  The property determines how the draws lines. Lines are drawn as if they are filled rectangles, with the characteristics of the specified .

  The property of the new is set to 1 (the default).

  Initializes a new instance of the class with the specified .

  A that determines the fill properties of this .
  1.0.5000.0
  2.0.0.0
- Constructor

  The property is set to the color specified by the parameter. The property is set to 1 (the default).

  Initializes a new instance of the class with the specified color.

  A structure that indicates the color of this .
  1.0.5000.0
  2.0.0.0
- Constructor

  The is set to the color specified in the parameter, the property is set to the value specified in the parameter, and the units are set to .

  Note that the parameter also specifies the property of this .

  A of 0 will result in the drawing as if the width were 1.

  Initializes a new instance of the class with the specified and .

  A that determines the characteristics of this .
  The width of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  The property is set to the color specified by the parameter. The property is set to the value specified in the parameter. A of 0 will result in the drawing as if the width were 1.

  Initializes a new instance of the class with the specified and properties.

  A structure that indicates the color of this .
  A value indicating the width of this .
  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.PenAlignment To be added: an object of type 'Drawing2D.PenAlignment'

  This property determines how the draws closed curves and polygons. The enumeration specifies five values; however, only two values— and —will change the appearance of a drawn line. is the default value for this property and specifies that the width of the pen is centered on the outline of the curve or polygon. A value of for this property specifies that the width of the pen is inside the outline of the curve or polygon. The other three values, , , and , will result in a pen that is centered.

  A that has its alignment set to will yield unreliable results, sometimes drawing in the inset position and sometimes in the centered position. Also, an inset pen cannot be used to draw compound lines and cannot draw dashed lines with dash caps.

  Gets or sets the alignment for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Brush To be added: an object of type 'Brush'

  Assigning this property causes the pen to draw filled lines and curves. It overrides the property of the .

  Gets or sets the that determines attributes of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this .

  An that can be cast to a .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Color To be added: an object of type 'Color' To be added

  Gets or sets the color of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single[] To be added: an object of type 'float []'

  A compound line is made up of alternating parallel lines and spaces of varying widths. The values in the array specify the starting points of each component of the compound line relative to the pen's width. The first value in the array specifies where the first component (a line) begins as a fraction of the distance across the width of the pen. The second value in the array specifies the beginning of the next component (a space) as a fraction of the distance across the width of the pen. The final value in the array specifies where the last component ends.

  Suppose you want a pen to draw two parallel lines where the width of the first line is 20 percent of the pen's width, the width of the space that separates the two lines is 50 percent of the pen' s width, and the width of the second line is 30 percent of the pen's width. Start by creating a and an array of real numbers. Set the compound array by passing the array with the values 0.0, 0.2, 0.7, and 1.0 to this property.

  Do not set this property if the has its property set to .

  Gets or sets an array of values that specifies a compound pen. A compound pen draws a compound line made up of parallel lines and spaces.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.CustomLineCap To be added: an object of type 'Drawing2D.CustomLineCap' To be added

  Gets or sets a custom cap to use at the end of lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.CustomLineCap To be added: an object of type 'Drawing2D.CustomLineCap' To be added

  Gets or sets a custom cap to use at the beginning of lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.DashCap To be added: an object of type 'Drawing2D.DashCap'

  Do not set this property to if the has its property set to .

  Gets or sets the cap style used at the end of the dashes that make up dashed lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the distance from the start of a line to the beginning of a dash pattern.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single[] To be added: an object of type 'float []'

  Assigning a value other than null to this property will set the property for this to .

  The elements in the array set the length of each dash and space in the dash pattern. The first element sets the length of a dash, the second element sets the length of a space, the third element sets the length of a dash, and so on. Consequently, each element should be a non-zero positive number.

  The length of each dash and space in the dash pattern is the product of the element value in the array and the width of the .

  Gets or sets an array of custom dashes and spaces.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.DashStyle To be added: an object of type 'Drawing2D.DashStyle'

  A value of for this property specifies that a custom pattern of dashes and spaces, defined by the property, makes up lines drawn with this . If the value of this property is and the value of the property is null, the pen draws solid lines.

  Gets or sets the style used for dashed lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this to be reallocated for other purposes.

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.LineCap To be added: an object of type 'Drawing2D.LineCap' To be added

  Gets or sets the cap style used at the end of lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.LineJoin To be added: an object of type 'Drawing2D.LineJoin'

  A line join is the common area that is formed by two lines whose ends meet or overlap. There are three line join styles: miter, bevel, and round. When you specify a line join style for a object, that join style will be applied to all the connected lines in any object drawn using that pen.The following illustration shows the results of the beveled line join example.

  Gets or sets the join style for the ends of two consecutive lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  The miter length is the distance from the intersection of the line walls on the inside of the join to the intersection of the line walls outside of the join. The miter length can be large when the angle between two lines is small. The miter limit is the maximum allowed ratio of miter length to stroke width. The default value is 10.0f.

  If the miter length of the join of the intersection exceeds the limit of the join, then the join will be beveled to keep it within the limit of the join of the intersection.

  Gets or sets the limit of the thickness of the join on a mitered corner.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method prepends the multiplication matrix specified in the parameter to the transformation matrix for the multiplication operation.

  Multiplies the transformation matrix for this by the specified .

  The object by which to multiply the transformation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method uses the enumeration element (either prepend or append) specified by the parameter to carry out the multiplication operation.

  Multiplies the transformation matrix for this by the specified in the specified order.

  The by which to multiply the transformation matrix. The order in which to perform the multiplication operation. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.PenType To be added: an object of type 'Drawing2D.PenType'

  A can draw solid lines, filled lines, or textured lines, depending on the style specified by a member of the enumeration.

  Gets the style of lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Resets the geometric transformation matrix for this to identity.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Because the shape of a pen is circular, a rotation does not have any visible effect unless the pen is scaled in the x- or y-axis direction.

  Rotates the local geometric transformation by the specified angle. This method prepends the rotation to the transformation.

  The angle of rotation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Because the shape of a pen is circular, a rotation does not have any visible effect unless the pen is scaled in the x- or y-axis direction.

  Rotates the local geometric transformation by the specified angle in the specified order.

  The angle of rotation. A that specifies whether to append or prepend the rotation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Scales the local geometric transformation by the specified factors. This method prepends the scaling matrix to the transformation.

  The factor by which to scale the transformation in the x-axis direction. The factor by which to scale the transformation in the y-axis direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Scales the local geometric transformation by the specified factors in the specified order.

  The factor by which to scale the transformation in the x-axis direction. The factor by which to scale the transformation in the y-axis direction. A that specifies whether to append or prepend the scaling matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Sets the values that determine the style of cap used to end lines drawn by this .

  A that represents the cap style to use at the beginning of lines drawn with this . A that represents the cap style to use at the end of lines drawn with this . A that represents the cap style to use at the beginning or end of dashed lines drawn with this . 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.LineCap To be added: an object of type 'Drawing2D.LineCap' To be added

  Gets or sets the cap style used at the beginning of lines drawn with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.Matrix To be added: an object of type 'Drawing2D.Matrix'

  This property defines an elliptical shape for the pen tip. This ellipse is obtained from the default circular shape by applying the transformation matrix. Note that the translation portion of the matrix is ignored. Because the matrix returned and by the property is a copy of the pen's geometric transform, you should dispose of the matrix when you no longer need it.

  Gets or sets a copy of the geometric transformation for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Translates the local geometric transformation by the specified dimensions. This method prepends the translation to the transformation.

  The value of the translation in x. The value of the translation in y. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Translates the local geometric transformation by the specified dimensions in the specified order.

  The value of the translation in x. The value of the translation in y. The order (prepend or append) in which to apply the translation. 1.0.5000.0 2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  You can access the unit of measure of the object using its property. The unit of measure is typically pixels. A of 0 will result in the drawing as if the were 1.

  Gets or sets the width of this , in units of the object used for drawing.

  1.0.5000.0
  2.0.0.0